/* Estilos gerais para containers de vídeo */
.video-container,
.video-container-servicos {
    position: relative;
    width: 100%;
    height: 80vh;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.video-container::before,
.video-container-servicos::before {
    content: "";
    display: block;
    background: var(--primary_color);
    background: linear-gradient(45deg, var(--primary_color_alpha) 0%, var(--secondary_color_alpha) 100%);
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 1;
}

.video-wrapper {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 80%;
    filter: saturate(1.1) contrast(1.1);
}

/* Placeholder para imagem de pré-carregamento */
#player-placeholder {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
}

#player-placeholder img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Estilos para o iframe do YouTube */
.video-container #player,
.video-container-servicos #player {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 200%;
    min-height: 200%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Responsividade para diferentes tamanhos de tela */
@media (max-width: 661px) {
    .video-container-servicos {
        height: 300px;
    }
}

@media (min-width: 662px) {
    .video-container-servicos {
        height: 500px;
    }
}

/* Ajustes gerais para alinhamento */
.section-servicos,
#container-servicos {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 !important;
    margin: 0 !important;
    width: 100%;
}

.full-width-row {
    width: 100%;
    height: 100%;
    padding: 0 !important;
    margin: 0 !important;
}
